hwy::HWY_NAMESPACE::Mask128< T, N > Struct Template Reference

`#include <arm_neon-inl.h>`

## Public Types

using | Raw = hwy::MakeUnsigned< T >
using | Raw = typename detail::RawMask128< sizeof(T)>::type

## Public Member Functions

HWY_INLINE | Mask128 ()
| Mask128 (const Mask128 &)=default
Mask128 & | operator= (const Mask128 &)=default
HWY_INLINE | Mask128 (const Raw raw)

## Static Public Member Functions

static HWY_INLINE Raw | FromBool (bool b)
static Mask128< T, N > | FromBits (uint64_t mask_bits)

## Public Attributes

Raw | raw
Raw | bits [16/sizeof(T)] = {}
detail::Raw128< T >::type | raw

## Private Types

using | Raw = typename detail::Raw128< MakeUnsigned< T >, N >::type

## Member Typedef Documentation

## Raw [1/3]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Mask128< T, N >::Raw = typename detail::Raw128<MakeUnsigned<T>, N>::type

private

## Raw [2/3]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Mask128< T, N >::Raw = hwy::MakeUnsigned<T>

## Raw [3/3]

template<typename T , size_t N = 16 / sizeof(T)>

using hwy::HWY_NAMESPACE::Mask128< T, N >::Raw = typename detail::RawMask128<sizeof(T)>::type

## Constructor & Destructor Documentation

## Mask128() [1/3]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE hwy::HWY_NAMESPACE::Mask128< T, N >::Mask128 | ( |  | ) |

inline

## Mask128() [2/3]

template<typename T , size_t N = 16 / sizeof(T)>

hwy::HWY_NAMESPACE::Mask128< T, N >::Mask128 | ( | const Mask128< T, N > & |  | ) |

default

## Mask128() [3/3]

template<typename T , size_t N = 16 / sizeof(T)>

HWY_INLINE hwy::HWY_NAMESPACE::Mask128< T, N >::Mask128 | ( | const Raw | raw | ) |

inline explicit

## Member Function Documentation

## FromBits()

template<typename T , size_t N = 16 / sizeof(T)>

static Mask128< T, N > hwy::HWY_NAMESPACE::Mask128< T, N >::FromBits | ( | uint64_t | mask_bits | ) |

inline static

## FromBool()

template<typename T , size_t N = 16 / sizeof(T)>

static HWY_INLINE Raw hwy::HWY_NAMESPACE::Mask128< T, N >::FromBool | ( | bool | b | ) |

inline static

Referenced by hwy::HWY_NAMESPACE::Eq128(), hwy::HWY_NAMESPACE::Eq128Upper(), hwy::HWY_NAMESPACE::LoadMaskBits(), hwy::HWY_NAMESPACE::Lt128(), hwy::HWY_NAMESPACE::Lt128Upper(), hwy::HWY_NAMESPACE::Ne128(), hwy::HWY_NAMESPACE::Ne128Upper(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator<(), hwy::HWY_NAMESPACE::operator<=(), and hwy::HWY_NAMESPACE::operator==().

## operator=()

template<typename T , size_t N = 16 / sizeof(T)>

Mask128 & hwy::HWY_NAMESPACE::Mask128< T, N >::operator= | ( | const Mask128< T, N > & |  | ) |

default

## Member Data Documentation

## bits

template<typename T , size_t N = 16 / sizeof(T)>

Raw hwy::HWY_NAMESPACE::Mask128< T, N >::bits[16/sizeof(T)] = {}

Referenced by hwy::HWY_NAMESPACE::AllTrue(), hwy::HWY_NAMESPACE::Compress(), hwy::HWY_NAMESPACE::CompressNot(), hwy::HWY_NAMESPACE::CompressStore(), hwy::HWY_NAMESPACE::CountTrue(), hwy::HWY_NAMESPACE::Eq128(), hwy::HWY_NAMESPACE::Eq128Upper(), hwy::HWY_NAMESPACE::LoadMaskBits(), hwy::HWY_NAMESPACE::Lt128(), hwy::HWY_NAMESPACE::Lt128Upper(), hwy::HWY_NAMESPACE::Ne128(), hwy::HWY_NAMESPACE::Ne128Upper(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator<(), hwy::HWY_NAMESPACE::operator<=(), and hwy::HWY_NAMESPACE::operator==().

## raw [1/2]

template<typename T , size_t N = 16 / sizeof(T)>

Raw hwy::HWY_NAMESPACE::Mask128< T, N >::raw

Referenced by hwy::HWY_NAMESPACE::AllFalse(), hwy::HWY_NAMESPACE::AllFalse(), hwy::HWY_NAMESPACE::detail::AllTrue(), hwy::HWY_NAMESPACE::detail::AllTrue(), hwy::HWY_NAMESPACE::detail::AllTrue(), hwy::HWY_NAMESPACE::detail::AllTrue(), hwy::HWY_NAMESPACE::detail::And(), hwy::HWY_NAMESPACE::detail::And(), hwy::HWY_NAMESPACE::detail::And(), hwy::HWY_NAMESPACE::detail::And(), hwy::HWY_NAMESPACE::detail::AndNot(), hwy::HWY_NAMESPACE::detail::AndNot(), hwy::HWY_NAMESPACE::detail::AndNot(), hwy::HWY_NAMESPACE::detail::AndNot(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::detail::BitsFromMask(), hwy::HWY_NAMESPACE::BlendedStore(), hwy::HWY_NAMESPACE::BlendedStore(), hwy::HWY_NAMESPACE::BlendedStore(), hwy::HWY_NAMESPACE::Compress(), hwy::HWY_NAMESPACE::CompressStore(), hwy::HWY_NAMESPACE::CompressStore(), hwy::HWY_NAMESPACE::detail::EmuCompress(), hwy::HWY_NAMESPACE::detail::EmuCompress(), hwy::HWY_NAMESPACE::detail::ExclusiveNeither(), hwy::HWY_NAMESPACE::detail::ExclusiveNeither(), hwy::HWY_NAMESPACE::detail::ExclusiveNeither(), hwy::HWY_NAMESPACE::detail::ExclusiveNeither(), hwy::HWY_NAMESPACE::detail::IfThenElse(), hwy::HWY_NAMESPACE::detail::IfThenElse(), hwy::HWY_NAMESPACE::detail::IfThenElse(), hwy::HWY_NAMESPACE::detail::IfThenElse(), hwy::HWY_NAMESPACE::IfThenElse(), hwy::HWY_NAMESPACE::IfThenElse(), hwy::HWY_NAMESPACE::detail::IfThenElseZero(), hwy::HWY_NAMESPACE::detail::IfThenElseZero(), hwy::HWY_NAMESPACE::detail::IfThenElseZero(), hwy::HWY_NAMESPACE::detail::IfThenElseZero(), hwy::HWY_NAMESPACE::IfThenElseZero(), hwy::HWY_NAMESPACE::IfThenElseZero(), hwy::HWY_NAMESPACE::detail::IfThenZeroElse(), hwy::HWY_NAMESPACE::detail::IfThenZeroElse(), hwy::HWY_NAMESPACE::detail::IfThenZeroElse(), hwy::HWY_NAMESPACE::detail::IfThenZeroElse(), hwy::HWY_NAMESPACE::IfThenZeroElse(), hwy::HWY_NAMESPACE::IfThenZeroElse(), hwy::HWY_NAMESPACE::MaskedLoad(), hwy::HWY_NAMESPACE::MaskedLoad(), hwy::HWY_NAMESPACE::MaskedLoad(), hwy::HWY_NAMESPACE::MaskFromVec(), hwy::HWY_NAMESPACE::MaskFromVec(), hwy::HWY_NAMESPACE::detail::NativeCompress(), hwy::HWY_NAMESPACE::detail::NativeCompress(), hwy::HWY_NAMESPACE::detail::NativeCompress(), hwy::HWY_NAMESPACE::detail::NativeCompressStore(), hwy::HWY_NAMESPACE::detail::NativeCompressStore(), hwy::HWY_NAMESPACE::detail::NativeCompressStore(), hwy::HWY_NAMESPACE::detail::NativeCompressStore(), hwy::HWY_NAMESPACE::detail::NibblesFromMask(), hwy::HWY_NAMESPACE::detail::Or(), hwy::HWY_NAMESPACE::detail::Or(), hwy::HWY_NAMESPACE::detail::Or(), hwy::HWY_NAMESPACE::detail::Or(), hwy::HWY_NAMESPACE::RebindMask(), hwy::HWY_NAMESPACE::detail::Xor(), hwy::HWY_NAMESPACE::detail::Xor(), hwy::HWY_NAMESPACE::detail::Xor(), and hwy::HWY_NAMESPACE::detail::Xor().

## raw [2/2]

template<typename T , size_t N = 16 / sizeof(T)>

detail::Raw128<T>::type hwy::HWY_NAMESPACE::Mask128< T, N >::raw

The documentation for this struct was generated from the following files:

- arm_neon-inl.h
- emu128-inl.h
- x86_128-inl.h
- wasm_128-inl.h